Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/116
Addresses4,096
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25:e008:7000/116
First address
2c19:dd:d9:dd:c25:c25:e008:7000
Last address
2c19:dd:d9:dd:c25:c25:e008:7fff
Addresses
4,096
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:0c25:e008:7000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
7.8.0.0.e.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets/124

2c19:dd:d9:dd:c25:c25:e008:7000/116 makes 256 subnets of /124.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25:e008:7000/1242c19:dd:d9:dd:c25:c25:e008:700f
22c19:dd:d9:dd:c25:c25:e008:7010/1242c19:dd:d9:dd:c25:c25:e008:701f
32c19:dd:d9:dd:c25:c25:e008:7020/1242c19:dd:d9:dd:c25:c25:e008:702f
42c19:dd:d9:dd:c25:c25:e008:7030/1242c19:dd:d9:dd:c25:c25:e008:703f
52c19:dd:d9:dd:c25:c25:e008:7040/1242c19:dd:d9:dd:c25:c25:e008:704f
62c19:dd:d9:dd:c25:c25:e008:7050/1242c19:dd:d9:dd:c25:c25:e008:705f
72c19:dd:d9:dd:c25:c25:e008:7060/1242c19:dd:d9:dd:c25:c25:e008:706f
82c19:dd:d9:dd:c25:c25:e008:7070/1242c19:dd:d9:dd:c25:c25:e008:707f
92c19:dd:d9:dd:c25:c25:e008:7080/1242c19:dd:d9:dd:c25:c25:e008:708f
102c19:dd:d9:dd:c25:c25:e008:7090/1242c19:dd:d9:dd:c25:c25:e008:709f
112c19:dd:d9:dd:c25:c25:e008:70a0/1242c19:dd:d9:dd:c25:c25:e008:70af
122c19:dd:d9:dd:c25:c25:e008:70b0/1242c19:dd:d9:dd:c25:c25:e008:70bf
132c19:dd:d9:dd:c25:c25:e008:70c0/1242c19:dd:d9:dd:c25:c25:e008:70cf
142c19:dd:d9:dd:c25:c25:e008:70d0/1242c19:dd:d9:dd:c25:c25:e008:70df
152c19:dd:d9:dd:c25:c25:e008:70e0/1242c19:dd:d9:dd:c25:c25:e008:70ef
162c19:dd:d9:dd:c25:c25:e008:70f0/1242c19:dd:d9:dd:c25:c25:e008:70ff
172c19:dd:d9:dd:c25:c25:e008:7100/1242c19:dd:d9:dd:c25:c25:e008:710f
182c19:dd:d9:dd:c25:c25:e008:7110/1242c19:dd:d9:dd:c25:c25:e008:711f
192c19:dd:d9:dd:c25:c25:e008:7120/1242c19:dd:d9:dd:c25:c25:e008:712f
202c19:dd:d9:dd:c25:c25:e008:7130/1242c19:dd:d9:dd:c25:c25:e008:713f
212c19:dd:d9:dd:c25:c25:e008:7140/1242c19:dd:d9:dd:c25:c25:e008:714f
222c19:dd:d9:dd:c25:c25:e008:7150/1242c19:dd:d9:dd:c25:c25:e008:715f
232c19:dd:d9:dd:c25:c25:e008:7160/1242c19:dd:d9:dd:c25:c25:e008:716f
242c19:dd:d9:dd:c25:c25:e008:7170/1242c19:dd:d9:dd:c25:c25:e008:717f
252c19:dd:d9:dd:c25:c25:e008:7180/1242c19:dd:d9:dd:c25:c25:e008:718f
262c19:dd:d9:dd:c25:c25:e008:7190/1242c19:dd:d9:dd:c25:c25:e008:719f
272c19:dd:d9:dd:c25:c25:e008:71a0/1242c19:dd:d9:dd:c25:c25:e008:71af
282c19:dd:d9:dd:c25:c25:e008:71b0/1242c19:dd:d9:dd:c25:c25:e008:71bf
292c19:dd:d9:dd:c25:c25:e008:71c0/1242c19:dd:d9:dd:c25:c25:e008:71cf
302c19:dd:d9:dd:c25:c25:e008:71d0/1242c19:dd:d9:dd:c25:c25:e008:71df
312c19:dd:d9:dd:c25:c25:e008:71e0/1242c19:dd:d9:dd:c25:c25:e008:71ef
322c19:dd:d9:dd:c25:c25:e008:71f0/1242c19:dd:d9:dd:c25:c25:e008:71ff
332c19:dd:d9:dd:c25:c25:e008:7200/1242c19:dd:d9:dd:c25:c25:e008:720f
342c19:dd:d9:dd:c25:c25:e008:7210/1242c19:dd:d9:dd:c25:c25:e008:721f
352c19:dd:d9:dd:c25:c25:e008:7220/1242c19:dd:d9:dd:c25:c25:e008:722f
362c19:dd:d9:dd:c25:c25:e008:7230/1242c19:dd:d9:dd:c25:c25:e008:723f
372c19:dd:d9:dd:c25:c25:e008:7240/1242c19:dd:d9:dd:c25:c25:e008:724f
382c19:dd:d9:dd:c25:c25:e008:7250/1242c19:dd:d9:dd:c25:c25:e008:725f
392c19:dd:d9:dd:c25:c25:e008:7260/1242c19:dd:d9:dd:c25:c25:e008:726f
402c19:dd:d9:dd:c25:c25:e008:7270/1242c19:dd:d9:dd:c25:c25:e008:727f
412c19:dd:d9:dd:c25:c25:e008:7280/1242c19:dd:d9:dd:c25:c25:e008:728f
422c19:dd:d9:dd:c25:c25:e008:7290/1242c19:dd:d9:dd:c25:c25:e008:729f
432c19:dd:d9:dd:c25:c25:e008:72a0/1242c19:dd:d9:dd:c25:c25:e008:72af
442c19:dd:d9:dd:c25:c25:e008:72b0/1242c19:dd:d9:dd:c25:c25:e008:72bf
452c19:dd:d9:dd:c25:c25:e008:72c0/1242c19:dd:d9:dd:c25:c25:e008:72cf
462c19:dd:d9:dd:c25:c25:e008:72d0/1242c19:dd:d9:dd:c25:c25:e008:72df
472c19:dd:d9:dd:c25:c25:e008:72e0/1242c19:dd:d9:dd:c25:c25:e008:72ef
482c19:dd:d9:dd:c25:c25:e008:72f0/1242c19:dd:d9:dd:c25:c25:e008:72ff
492c19:dd:d9:dd:c25:c25:e008:7300/1242c19:dd:d9:dd:c25:c25:e008:730f
502c19:dd:d9:dd:c25:c25:e008:7310/1242c19:dd:d9:dd:c25:c25:e008:731f
512c19:dd:d9:dd:c25:c25:e008:7320/1242c19:dd:d9:dd:c25:c25:e008:732f
522c19:dd:d9:dd:c25:c25:e008:7330/1242c19:dd:d9:dd:c25:c25:e008:733f
532c19:dd:d9:dd:c25:c25:e008:7340/1242c19:dd:d9:dd:c25:c25:e008:734f
542c19:dd:d9:dd:c25:c25:e008:7350/1242c19:dd:d9:dd:c25:c25:e008:735f
552c19:dd:d9:dd:c25:c25:e008:7360/1242c19:dd:d9:dd:c25:c25:e008:736f
562c19:dd:d9:dd:c25:c25:e008:7370/1242c19:dd:d9:dd:c25:c25:e008:737f
572c19:dd:d9:dd:c25:c25:e008:7380/1242c19:dd:d9:dd:c25:c25:e008:738f
582c19:dd:d9:dd:c25:c25:e008:7390/1242c19:dd:d9:dd:c25:c25:e008:739f
592c19:dd:d9:dd:c25:c25:e008:73a0/1242c19:dd:d9:dd:c25:c25:e008:73af
602c19:dd:d9:dd:c25:c25:e008:73b0/1242c19:dd:d9:dd:c25:c25:e008:73bf
612c19:dd:d9:dd:c25:c25:e008:73c0/1242c19:dd:d9:dd:c25:c25:e008:73cf
622c19:dd:d9:dd:c25:c25:e008:73d0/1242c19:dd:d9:dd:c25:c25:e008:73df
632c19:dd:d9:dd:c25:c25:e008:73e0/1242c19:dd:d9:dd:c25:c25:e008:73ef
642c19:dd:d9:dd:c25:c25:e008:73f0/1242c19:dd:d9:dd:c25:c25:e008:73ff
652c19:dd:d9:dd:c25:c25:e008:7400/1242c19:dd:d9:dd:c25:c25:e008:740f
662c19:dd:d9:dd:c25:c25:e008:7410/1242c19:dd:d9:dd:c25:c25:e008:741f
672c19:dd:d9:dd:c25:c25:e008:7420/1242c19:dd:d9:dd:c25:c25:e008:742f
682c19:dd:d9:dd:c25:c25:e008:7430/1242c19:dd:d9:dd:c25:c25:e008:743f
692c19:dd:d9:dd:c25:c25:e008:7440/1242c19:dd:d9:dd:c25:c25:e008:744f
702c19:dd:d9:dd:c25:c25:e008:7450/1242c19:dd:d9:dd:c25:c25:e008:745f
712c19:dd:d9:dd:c25:c25:e008:7460/1242c19:dd:d9:dd:c25:c25:e008:746f
722c19:dd:d9:dd:c25:c25:e008:7470/1242c19:dd:d9:dd:c25:c25:e008:747f
732c19:dd:d9:dd:c25:c25:e008:7480/1242c19:dd:d9:dd:c25:c25:e008:748f
742c19:dd:d9:dd:c25:c25:e008:7490/1242c19:dd:d9:dd:c25:c25:e008:749f
752c19:dd:d9:dd:c25:c25:e008:74a0/1242c19:dd:d9:dd:c25:c25:e008:74af
762c19:dd:d9:dd:c25:c25:e008:74b0/1242c19:dd:d9:dd:c25:c25:e008:74bf
772c19:dd:d9:dd:c25:c25:e008:74c0/1242c19:dd:d9:dd:c25:c25:e008:74cf
782c19:dd:d9:dd:c25:c25:e008:74d0/1242c19:dd:d9:dd:c25:c25:e008:74df
792c19:dd:d9:dd:c25:c25:e008:74e0/1242c19:dd:d9:dd:c25:c25:e008:74ef
802c19:dd:d9:dd:c25:c25:e008:74f0/1242c19:dd:d9:dd:c25:c25:e008:74ff
812c19:dd:d9:dd:c25:c25:e008:7500/1242c19:dd:d9:dd:c25:c25:e008:750f
822c19:dd:d9:dd:c25:c25:e008:7510/1242c19:dd:d9:dd:c25:c25:e008:751f
832c19:dd:d9:dd:c25:c25:e008:7520/1242c19:dd:d9:dd:c25:c25:e008:752f
842c19:dd:d9:dd:c25:c25:e008:7530/1242c19:dd:d9:dd:c25:c25:e008:753f
852c19:dd:d9:dd:c25:c25:e008:7540/1242c19:dd:d9:dd:c25:c25:e008:754f
862c19:dd:d9:dd:c25:c25:e008:7550/1242c19:dd:d9:dd:c25:c25:e008:755f
872c19:dd:d9:dd:c25:c25:e008:7560/1242c19:dd:d9:dd:c25:c25:e008:756f
882c19:dd:d9:dd:c25:c25:e008:7570/1242c19:dd:d9:dd:c25:c25:e008:757f
892c19:dd:d9:dd:c25:c25:e008:7580/1242c19:dd:d9:dd:c25:c25:e008:758f
902c19:dd:d9:dd:c25:c25:e008:7590/1242c19:dd:d9:dd:c25:c25:e008:759f
912c19:dd:d9:dd:c25:c25:e008:75a0/1242c19:dd:d9:dd:c25:c25:e008:75af
922c19:dd:d9:dd:c25:c25:e008:75b0/1242c19:dd:d9:dd:c25:c25:e008:75bf
932c19:dd:d9:dd:c25:c25:e008:75c0/1242c19:dd:d9:dd:c25:c25:e008:75cf
942c19:dd:d9:dd:c25:c25:e008:75d0/1242c19:dd:d9:dd:c25:c25:e008:75df
952c19:dd:d9:dd:c25:c25:e008:75e0/1242c19:dd:d9:dd:c25:c25:e008:75ef
962c19:dd:d9:dd:c25:c25:e008:75f0/1242c19:dd:d9:dd:c25:c25:e008:75ff
972c19:dd:d9:dd:c25:c25:e008:7600/1242c19:dd:d9:dd:c25:c25:e008:760f
982c19:dd:d9:dd:c25:c25:e008:7610/1242c19:dd:d9:dd:c25:c25:e008:761f
992c19:dd:d9:dd:c25:c25:e008:7620/1242c19:dd:d9:dd:c25:c25:e008:762f
1002c19:dd:d9:dd:c25:c25:e008:7630/1242c19:dd:d9:dd:c25:c25:e008:763f
1012c19:dd:d9:dd:c25:c25:e008:7640/1242c19:dd:d9:dd:c25:c25:e008:764f
1022c19:dd:d9:dd:c25:c25:e008:7650/1242c19:dd:d9:dd:c25:c25:e008:765f
1032c19:dd:d9:dd:c25:c25:e008:7660/1242c19:dd:d9:dd:c25:c25:e008:766f
1042c19:dd:d9:dd:c25:c25:e008:7670/1242c19:dd:d9:dd:c25:c25:e008:767f
1052c19:dd:d9:dd:c25:c25:e008:7680/1242c19:dd:d9:dd:c25:c25:e008:768f
1062c19:dd:d9:dd:c25:c25:e008:7690/1242c19:dd:d9:dd:c25:c25:e008:769f
1072c19:dd:d9:dd:c25:c25:e008:76a0/1242c19:dd:d9:dd:c25:c25:e008:76af
1082c19:dd:d9:dd:c25:c25:e008:76b0/1242c19:dd:d9:dd:c25:c25:e008:76bf
1092c19:dd:d9:dd:c25:c25:e008:76c0/1242c19:dd:d9:dd:c25:c25:e008:76cf
1102c19:dd:d9:dd:c25:c25:e008:76d0/1242c19:dd:d9:dd:c25:c25:e008:76df
1112c19:dd:d9:dd:c25:c25:e008:76e0/1242c19:dd:d9:dd:c25:c25:e008:76ef
1122c19:dd:d9:dd:c25:c25:e008:76f0/1242c19:dd:d9:dd:c25:c25:e008:76ff
1132c19:dd:d9:dd:c25:c25:e008:7700/1242c19:dd:d9:dd:c25:c25:e008:770f
1142c19:dd:d9:dd:c25:c25:e008:7710/1242c19:dd:d9:dd:c25:c25:e008:771f
1152c19:dd:d9:dd:c25:c25:e008:7720/1242c19:dd:d9:dd:c25:c25:e008:772f
1162c19:dd:d9:dd:c25:c25:e008:7730/1242c19:dd:d9:dd:c25:c25:e008:773f
1172c19:dd:d9:dd:c25:c25:e008:7740/1242c19:dd:d9:dd:c25:c25:e008:774f
1182c19:dd:d9:dd:c25:c25:e008:7750/1242c19:dd:d9:dd:c25:c25:e008:775f
1192c19:dd:d9:dd:c25:c25:e008:7760/1242c19:dd:d9:dd:c25:c25:e008:776f
1202c19:dd:d9:dd:c25:c25:e008:7770/1242c19:dd:d9:dd:c25:c25:e008:777f
1212c19:dd:d9:dd:c25:c25:e008:7780/1242c19:dd:d9:dd:c25:c25:e008:778f
1222c19:dd:d9:dd:c25:c25:e008:7790/1242c19:dd:d9:dd:c25:c25:e008:779f
1232c19:dd:d9:dd:c25:c25:e008:77a0/1242c19:dd:d9:dd:c25:c25:e008:77af
1242c19:dd:d9:dd:c25:c25:e008:77b0/1242c19:dd:d9:dd:c25:c25:e008:77bf
1252c19:dd:d9:dd:c25:c25:e008:77c0/1242c19:dd:d9:dd:c25:c25:e008:77cf
1262c19:dd:d9:dd:c25:c25:e008:77d0/1242c19:dd:d9:dd:c25:c25:e008:77df
1272c19:dd:d9:dd:c25:c25:e008:77e0/1242c19:dd:d9:dd:c25:c25:e008:77ef
1282c19:dd:d9:dd:c25:c25:e008:77f0/1242c19:dd:d9:dd:c25:c25:e008:77ff
1292c19:dd:d9:dd:c25:c25:e008:7800/1242c19:dd:d9:dd:c25:c25:e008:780f
1302c19:dd:d9:dd:c25:c25:e008:7810/1242c19:dd:d9:dd:c25:c25:e008:781f
1312c19:dd:d9:dd:c25:c25:e008:7820/1242c19:dd:d9:dd:c25:c25:e008:782f
1322c19:dd:d9:dd:c25:c25:e008:7830/1242c19:dd:d9:dd:c25:c25:e008:783f
1332c19:dd:d9:dd:c25:c25:e008:7840/1242c19:dd:d9:dd:c25:c25:e008:784f
1342c19:dd:d9:dd:c25:c25:e008:7850/1242c19:dd:d9:dd:c25:c25:e008:785f
1352c19:dd:d9:dd:c25:c25:e008:7860/1242c19:dd:d9:dd:c25:c25:e008:786f
1362c19:dd:d9:dd:c25:c25:e008:7870/1242c19:dd:d9:dd:c25:c25:e008:787f
1372c19:dd:d9:dd:c25:c25:e008:7880/1242c19:dd:d9:dd:c25:c25:e008:788f
1382c19:dd:d9:dd:c25:c25:e008:7890/1242c19:dd:d9:dd:c25:c25:e008:789f
1392c19:dd:d9:dd:c25:c25:e008:78a0/1242c19:dd:d9:dd:c25:c25:e008:78af
1402c19:dd:d9:dd:c25:c25:e008:78b0/1242c19:dd:d9:dd:c25:c25:e008:78bf
1412c19:dd:d9:dd:c25:c25:e008:78c0/1242c19:dd:d9:dd:c25:c25:e008:78cf
1422c19:dd:d9:dd:c25:c25:e008:78d0/1242c19:dd:d9:dd:c25:c25:e008:78df
1432c19:dd:d9:dd:c25:c25:e008:78e0/1242c19:dd:d9:dd:c25:c25:e008:78ef
1442c19:dd:d9:dd:c25:c25:e008:78f0/1242c19:dd:d9:dd:c25:c25:e008:78ff
1452c19:dd:d9:dd:c25:c25:e008:7900/1242c19:dd:d9:dd:c25:c25:e008:790f
1462c19:dd:d9:dd:c25:c25:e008:7910/1242c19:dd:d9:dd:c25:c25:e008:791f
1472c19:dd:d9:dd:c25:c25:e008:7920/1242c19:dd:d9:dd:c25:c25:e008:792f
1482c19:dd:d9:dd:c25:c25:e008:7930/1242c19:dd:d9:dd:c25:c25:e008:793f
1492c19:dd:d9:dd:c25:c25:e008:7940/1242c19:dd:d9:dd:c25:c25:e008:794f
1502c19:dd:d9:dd:c25:c25:e008:7950/1242c19:dd:d9:dd:c25:c25:e008:795f
1512c19:dd:d9:dd:c25:c25:e008:7960/1242c19:dd:d9:dd:c25:c25:e008:796f
1522c19:dd:d9:dd:c25:c25:e008:7970/1242c19:dd:d9:dd:c25:c25:e008:797f
1532c19:dd:d9:dd:c25:c25:e008:7980/1242c19:dd:d9:dd:c25:c25:e008:798f
1542c19:dd:d9:dd:c25:c25:e008:7990/1242c19:dd:d9:dd:c25:c25:e008:799f
1552c19:dd:d9:dd:c25:c25:e008:79a0/1242c19:dd:d9:dd:c25:c25:e008:79af
1562c19:dd:d9:dd:c25:c25:e008:79b0/1242c19:dd:d9:dd:c25:c25:e008:79bf
1572c19:dd:d9:dd:c25:c25:e008:79c0/1242c19:dd:d9:dd:c25:c25:e008:79cf
1582c19:dd:d9:dd:c25:c25:e008:79d0/1242c19:dd:d9:dd:c25:c25:e008:79df
1592c19:dd:d9:dd:c25:c25:e008:79e0/1242c19:dd:d9:dd:c25:c25:e008:79ef
1602c19:dd:d9:dd:c25:c25:e008:79f0/1242c19:dd:d9:dd:c25:c25:e008:79ff
1612c19:dd:d9:dd:c25:c25:e008:7a00/1242c19:dd:d9:dd:c25:c25:e008:7a0f
1622c19:dd:d9:dd:c25:c25:e008:7a10/1242c19:dd:d9:dd:c25:c25:e008:7a1f
1632c19:dd:d9:dd:c25:c25:e008:7a20/1242c19:dd:d9:dd:c25:c25:e008:7a2f
1642c19:dd:d9:dd:c25:c25:e008:7a30/1242c19:dd:d9:dd:c25:c25:e008:7a3f
1652c19:dd:d9:dd:c25:c25:e008:7a40/1242c19:dd:d9:dd:c25:c25:e008:7a4f
1662c19:dd:d9:dd:c25:c25:e008:7a50/1242c19:dd:d9:dd:c25:c25:e008:7a5f
1672c19:dd:d9:dd:c25:c25:e008:7a60/1242c19:dd:d9:dd:c25:c25:e008:7a6f
1682c19:dd:d9:dd:c25:c25:e008:7a70/1242c19:dd:d9:dd:c25:c25:e008:7a7f
1692c19:dd:d9:dd:c25:c25:e008:7a80/1242c19:dd:d9:dd:c25:c25:e008:7a8f
1702c19:dd:d9:dd:c25:c25:e008:7a90/1242c19:dd:d9:dd:c25:c25:e008:7a9f
1712c19:dd:d9:dd:c25:c25:e008:7aa0/1242c19:dd:d9:dd:c25:c25:e008:7aaf
1722c19:dd:d9:dd:c25:c25:e008:7ab0/1242c19:dd:d9:dd:c25:c25:e008:7abf
1732c19:dd:d9:dd:c25:c25:e008:7ac0/1242c19:dd:d9:dd:c25:c25:e008:7acf
1742c19:dd:d9:dd:c25:c25:e008:7ad0/1242c19:dd:d9:dd:c25:c25:e008:7adf
1752c19:dd:d9:dd:c25:c25:e008:7ae0/1242c19:dd:d9:dd:c25:c25:e008:7aef
1762c19:dd:d9:dd:c25:c25:e008:7af0/1242c19:dd:d9:dd:c25:c25:e008:7aff
1772c19:dd:d9:dd:c25:c25:e008:7b00/1242c19:dd:d9:dd:c25:c25:e008:7b0f
1782c19:dd:d9:dd:c25:c25:e008:7b10/1242c19:dd:d9:dd:c25:c25:e008:7b1f
1792c19:dd:d9:dd:c25:c25:e008:7b20/1242c19:dd:d9:dd:c25:c25:e008:7b2f
1802c19:dd:d9:dd:c25:c25:e008:7b30/1242c19:dd:d9:dd:c25:c25:e008:7b3f
1812c19:dd:d9:dd:c25:c25:e008:7b40/1242c19:dd:d9:dd:c25:c25:e008:7b4f
1822c19:dd:d9:dd:c25:c25:e008:7b50/1242c19:dd:d9:dd:c25:c25:e008:7b5f
1832c19:dd:d9:dd:c25:c25:e008:7b60/1242c19:dd:d9:dd:c25:c25:e008:7b6f
1842c19:dd:d9:dd:c25:c25:e008:7b70/1242c19:dd:d9:dd:c25:c25:e008:7b7f
1852c19:dd:d9:dd:c25:c25:e008:7b80/1242c19:dd:d9:dd:c25:c25:e008:7b8f
1862c19:dd:d9:dd:c25:c25:e008:7b90/1242c19:dd:d9:dd:c25:c25:e008:7b9f
1872c19:dd:d9:dd:c25:c25:e008:7ba0/1242c19:dd:d9:dd:c25:c25:e008:7baf
1882c19:dd:d9:dd:c25:c25:e008:7bb0/1242c19:dd:d9:dd:c25:c25:e008:7bbf
1892c19:dd:d9:dd:c25:c25:e008:7bc0/1242c19:dd:d9:dd:c25:c25:e008:7bcf
1902c19:dd:d9:dd:c25:c25:e008:7bd0/1242c19:dd:d9:dd:c25:c25:e008:7bdf
1912c19:dd:d9:dd:c25:c25:e008:7be0/1242c19:dd:d9:dd:c25:c25:e008:7bef
1922c19:dd:d9:dd:c25:c25:e008:7bf0/1242c19:dd:d9:dd:c25:c25:e008:7bff
1932c19:dd:d9:dd:c25:c25:e008:7c00/1242c19:dd:d9:dd:c25:c25:e008:7c0f
1942c19:dd:d9:dd:c25:c25:e008:7c10/1242c19:dd:d9:dd:c25:c25:e008:7c1f
1952c19:dd:d9:dd:c25:c25:e008:7c20/1242c19:dd:d9:dd:c25:c25:e008:7c2f
1962c19:dd:d9:dd:c25:c25:e008:7c30/1242c19:dd:d9:dd:c25:c25:e008:7c3f
1972c19:dd:d9:dd:c25:c25:e008:7c40/1242c19:dd:d9:dd:c25:c25:e008:7c4f
1982c19:dd:d9:dd:c25:c25:e008:7c50/1242c19:dd:d9:dd:c25:c25:e008:7c5f
1992c19:dd:d9:dd:c25:c25:e008:7c60/1242c19:dd:d9:dd:c25:c25:e008:7c6f
2002c19:dd:d9:dd:c25:c25:e008:7c70/1242c19:dd:d9:dd:c25:c25:e008:7c7f
2012c19:dd:d9:dd:c25:c25:e008:7c80/1242c19:dd:d9:dd:c25:c25:e008:7c8f
2022c19:dd:d9:dd:c25:c25:e008:7c90/1242c19:dd:d9:dd:c25:c25:e008:7c9f
2032c19:dd:d9:dd:c25:c25:e008:7ca0/1242c19:dd:d9:dd:c25:c25:e008:7caf
2042c19:dd:d9:dd:c25:c25:e008:7cb0/1242c19:dd:d9:dd:c25:c25:e008:7cbf
2052c19:dd:d9:dd:c25:c25:e008:7cc0/1242c19:dd:d9:dd:c25:c25:e008:7ccf
2062c19:dd:d9:dd:c25:c25:e008:7cd0/1242c19:dd:d9:dd:c25:c25:e008:7cdf
2072c19:dd:d9:dd:c25:c25:e008:7ce0/1242c19:dd:d9:dd:c25:c25:e008:7cef
2082c19:dd:d9:dd:c25:c25:e008:7cf0/1242c19:dd:d9:dd:c25:c25:e008:7cff
2092c19:dd:d9:dd:c25:c25:e008:7d00/1242c19:dd:d9:dd:c25:c25:e008:7d0f
2102c19:dd:d9:dd:c25:c25:e008:7d10/1242c19:dd:d9:dd:c25:c25:e008:7d1f
2112c19:dd:d9:dd:c25:c25:e008:7d20/1242c19:dd:d9:dd:c25:c25:e008:7d2f
2122c19:dd:d9:dd:c25:c25:e008:7d30/1242c19:dd:d9:dd:c25:c25:e008:7d3f
2132c19:dd:d9:dd:c25:c25:e008:7d40/1242c19:dd:d9:dd:c25:c25:e008:7d4f
2142c19:dd:d9:dd:c25:c25:e008:7d50/1242c19:dd:d9:dd:c25:c25:e008:7d5f
2152c19:dd:d9:dd:c25:c25:e008:7d60/1242c19:dd:d9:dd:c25:c25:e008:7d6f
2162c19:dd:d9:dd:c25:c25:e008:7d70/1242c19:dd:d9:dd:c25:c25:e008:7d7f
2172c19:dd:d9:dd:c25:c25:e008:7d80/1242c19:dd:d9:dd:c25:c25:e008:7d8f
2182c19:dd:d9:dd:c25:c25:e008:7d90/1242c19:dd:d9:dd:c25:c25:e008:7d9f
2192c19:dd:d9:dd:c25:c25:e008:7da0/1242c19:dd:d9:dd:c25:c25:e008:7daf
2202c19:dd:d9:dd:c25:c25:e008:7db0/1242c19:dd:d9:dd:c25:c25:e008:7dbf
2212c19:dd:d9:dd:c25:c25:e008:7dc0/1242c19:dd:d9:dd:c25:c25:e008:7dcf
2222c19:dd:d9:dd:c25:c25:e008:7dd0/1242c19:dd:d9:dd:c25:c25:e008:7ddf
2232c19:dd:d9:dd:c25:c25:e008:7de0/1242c19:dd:d9:dd:c25:c25:e008:7def
2242c19:dd:d9:dd:c25:c25:e008:7df0/1242c19:dd:d9:dd:c25:c25:e008:7dff
2252c19:dd:d9:dd:c25:c25:e008:7e00/1242c19:dd:d9:dd:c25:c25:e008:7e0f
2262c19:dd:d9:dd:c25:c25:e008:7e10/1242c19:dd:d9:dd:c25:c25:e008:7e1f
2272c19:dd:d9:dd:c25:c25:e008:7e20/1242c19:dd:d9:dd:c25:c25:e008:7e2f
2282c19:dd:d9:dd:c25:c25:e008:7e30/1242c19:dd:d9:dd:c25:c25:e008:7e3f
2292c19:dd:d9:dd:c25:c25:e008:7e40/1242c19:dd:d9:dd:c25:c25:e008:7e4f
2302c19:dd:d9:dd:c25:c25:e008:7e50/1242c19:dd:d9:dd:c25:c25:e008:7e5f
2312c19:dd:d9:dd:c25:c25:e008:7e60/1242c19:dd:d9:dd:c25:c25:e008:7e6f
2322c19:dd:d9:dd:c25:c25:e008:7e70/1242c19:dd:d9:dd:c25:c25:e008:7e7f
2332c19:dd:d9:dd:c25:c25:e008:7e80/1242c19:dd:d9:dd:c25:c25:e008:7e8f
2342c19:dd:d9:dd:c25:c25:e008:7e90/1242c19:dd:d9:dd:c25:c25:e008:7e9f
2352c19:dd:d9:dd:c25:c25:e008:7ea0/1242c19:dd:d9:dd:c25:c25:e008:7eaf
2362c19:dd:d9:dd:c25:c25:e008:7eb0/1242c19:dd:d9:dd:c25:c25:e008:7ebf
2372c19:dd:d9:dd:c25:c25:e008:7ec0/1242c19:dd:d9:dd:c25:c25:e008:7ecf
2382c19:dd:d9:dd:c25:c25:e008:7ed0/1242c19:dd:d9:dd:c25:c25:e008:7edf
2392c19:dd:d9:dd:c25:c25:e008:7ee0/1242c19:dd:d9:dd:c25:c25:e008:7eef
2402c19:dd:d9:dd:c25:c25:e008:7ef0/1242c19:dd:d9:dd:c25:c25:e008:7eff
2412c19:dd:d9:dd:c25:c25:e008:7f00/1242c19:dd:d9:dd:c25:c25:e008:7f0f
2422c19:dd:d9:dd:c25:c25:e008:7f10/1242c19:dd:d9:dd:c25:c25:e008:7f1f
2432c19:dd:d9:dd:c25:c25:e008:7f20/1242c19:dd:d9:dd:c25:c25:e008:7f2f
2442c19:dd:d9:dd:c25:c25:e008:7f30/1242c19:dd:d9:dd:c25:c25:e008:7f3f
2452c19:dd:d9:dd:c25:c25:e008:7f40/1242c19:dd:d9:dd:c25:c25:e008:7f4f
2462c19:dd:d9:dd:c25:c25:e008:7f50/1242c19:dd:d9:dd:c25:c25:e008:7f5f
2472c19:dd:d9:dd:c25:c25:e008:7f60/1242c19:dd:d9:dd:c25:c25:e008:7f6f
2482c19:dd:d9:dd:c25:c25:e008:7f70/1242c19:dd:d9:dd:c25:c25:e008:7f7f
2492c19:dd:d9:dd:c25:c25:e008:7f80/1242c19:dd:d9:dd:c25:c25:e008:7f8f
2502c19:dd:d9:dd:c25:c25:e008:7f90/1242c19:dd:d9:dd:c25:c25:e008:7f9f
2512c19:dd:d9:dd:c25:c25:e008:7fa0/1242c19:dd:d9:dd:c25:c25:e008:7faf
2522c19:dd:d9:dd:c25:c25:e008:7fb0/1242c19:dd:d9:dd:c25:c25:e008:7fbf
2532c19:dd:d9:dd:c25:c25:e008:7fc0/1242c19:dd:d9:dd:c25:c25:e008:7fcf
2542c19:dd:d9:dd:c25:c25:e008:7fd0/1242c19:dd:d9:dd:c25:c25:e008:7fdf
2552c19:dd:d9:dd:c25:c25:e008:7fe0/1242c19:dd:d9:dd:c25:c25:e008:7fef
2562c19:dd:d9:dd:c25:c25:e008:7ff0/1242c19:dd:d9:dd:c25:c25:e008:7fff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses